# frozen_string_literal: true

require 'spec_helper'

module LetItCrash
  module Matchers
    RSpec.describe Base do
      let(:matcher) { described_class.new(environment: nil) }

      it { expect { matcher.matches? }.to raise_error NotImplementedError }
      it { expect { matcher.branch }.to raise_error NotImplementedError }
      it { expect { matcher.sha }.to raise_error NotImplementedError }
    end # RSpec.describe Base
  end # module Matchers
end # module LetItCrash
