# frozen_string_literal: true

RSpec.shared_context 'with_branch_and_sha' do
  let(:matcher)  { described_class.new(environment: environment) }
  let(:branch)   { 'branch' }
  let(:sha)      { 'sha' }
end # RSpec.shared_context 'with_branch_and_sha'

RSpec.shared_examples 'reports_branch_and_sha' do
  describe '#branch' do
    it { expect(matcher.branch).to eq branch }
  end # describe '#branch'

  describe '#sha' do
    it { expect(matcher.sha).to eq sha }
  end # describe '#sha'
end # RSpec.shared_examples 'reports_branch_and_sha'
