# frozen_string_literal: true

require 'spec_helper'

module LetItCrash
  describe Sanitizer do
    let(:sanitizer) do
      described_class.from_path(path: 'spec/fixtures/source.file')
    end

    it { expect(sanitizer).to be_a described_class }
    it { expect(sanitizer).not_to include 1 }
    it { expect(sanitizer).not_to include 2 }
    it { expect(sanitizer).to include 3 }
    it { expect(sanitizer).to include 4 }
    it { expect(sanitizer).to include 5 }
    it { expect(sanitizer).to include 6 }
    it { expect(sanitizer).to include 7 }
    it { expect(sanitizer).not_to include 8 }
    it { expect(sanitizer).not_to include 9 }
    it { expect(sanitizer).not_to include 10 }
  end # describe Sanitizer
end # module LetItCrash
